OpenGL-2.9.2.0: A binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2006-2013
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell98

Graphics.Rendering.OpenGL.GL.Shaders.ProgramBinaries

Description

This module corresponds to section 7.5 (Program Binaries) of the OpenGL 4.4 spec.

# Documentation

newtype ProgramBinaryFormat

Constructors

ProgramBinaryFormat GLenum |

Instances

Eq ProgramBinaryFormat |
Ord ProgramBinaryFormat |
Show ProgramBinaryFormat |

programBinaryFormats :: GettableStateVar [ProgramBinaryFormat]

data ProgramBinary

Constructors

ProgramBinary ProgramBinaryFormat ByteString |

Instances

Eq ProgramBinary |
Ord ProgramBinary |
Show ProgramBinary |

programBinary :: Program -> StateVar ProgramBinary